// gnome.xonotic.in.ua

textures/af3hex/blackfog
{
	qer_editorimage textures/sfx/blackness.tga
	qer_nocarve
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm fog
	surfaceparm nolightmap
	fogparms ( 0 0 0 ) 128
}

textures/af3hex/glass
{
	qer_editorimage textures/af3hex/tinfx.tga
	qer_trans 0.4
	surfaceparm trans
	surfaceparm nolightmap
	{
		map textures/af3hex/tinfx.tga
		blendfunc gl_src_alpha gl_one
		tcgen environment
		rgbgen const ( 1.0 0.95 0.7 )
		alphagen const 0.55
	}
}

textures/af3hex/glass_clip
{
	qer_editorimage textures/af3hex/tinfx.tga
	qer_trans 0.4
	surfaceparm trans
	surfaceparm nolightmap
	surfaceparm nonsolid
	surfaceparm playerclip
	{
		map textures/af3hex/tinfx.tga
		blendfunc gl_src_alpha gl_one
		tcgen environment
		tcmod turb 0.0 0.5 0.0 0.1
		tcmod rotate 3.0
		rgbgen const ( 1.0 0.95 0.7 )
		alphagen const 0.15
	}
}

textures/af3hex/glass_nonsolid
{
	qer_editorimage textures/af3hex/tinfx.tga
	qer_trans 0.4
	surfaceparm trans
	surfaceparm nolightmap
	surfaceparm nonsolid
	{
		map textures/af3hex/tinfx.tga
		blendfunc gl_src_alpha gl_one
		tcgen environment
		tcmod turb 0.0 0.5 0.0 0.1
		tcmod rotate 3.0
		rgbgen const ( 1.0 0.95 0.7 )
		alphagen const 0.15
	}
}

textures/af3hex/light
{
	qer_editorimage textures/af3hex/honey.tga
	q3map_lightimage textures/af3hex/honey_light.tga
	surfaceparm nolightmap
	{
		map textures/af3hex/honey.tga
		rgbgen wave sin 1.0 .15 0 0.5
	}
}

textures/af3hex/light-lit
{
	qer_editorimage textures/af3hex/honey.tga
	q3map_lightimage textures/af3hex/honey_light.tga
	surfaceparm nolightmap
	q3map_lightsubdivide 32
	q3map_surfacelight 1150
	{
		map textures/af3hex/honey.tga
		rgbgen wave sin 1.0 .15 0 0.5
	}
}

textures/af3hex/light-med
{
	qer_editorimage textures/af3hex/honey.tga
	q3map_lightimage textures/af3hex/honey_light.tga
	surfaceparm nolightmap
	q3map_lightsubdivide 32
	q3map_surfacelight 3000
	{
		map textures/af3hex/honey.tga
		rgbgen wave sin 1.0 .15 0 0.5
	}
}

textures/af3hex/side
{
	qer_editorimage textures/af3hex/side.tga
	q3map_lightsubdivide 32
	q3map_surfacelight 100
	q3map_lightimage textures/af3hex/side_blend.tga
	{
		map $lightmap
		rgbgen identity
	}
	{
		map textures/af3hex/side.tga
		blendfunc gl_dst_color gl_zero
		rgbgen identity
	}
	{
		map textures/af3hex/side_blend.tga
		blendfunc blend
		rgbgen wave sin 1.0 0.1 0.0 0.5
		alphagen const 0.5
	}
}

textures/af3hex/side_red
{
	qer_editorimage textures/af3hex/side.tga
	q3map_lightsubdivide 32
	q3map_surfacelight 100
	q3map_lightimage textures/af3hex/side_blend_red.tga
	{
		map $lightmap
		rgbgen identity
	}
	{
		map textures/af3hex/side.tga
		blendfunc gl_dst_color gl_zero
		rgbgen identity
	}
	{
		map textures/af3hex/side_blend_red.tga
		blendfunc blend
		rgbgen wave sin 1.0 0.1 0.0 0.5
		alphagen const 0.5
	}
}

textures/af3hex/tin
{
	qer_editorimage textures/af3hex/tinfx.tga
	{
		map textures/af3hex/tinfx.tga
		tcgen environment
		rgbgen identity
	}
	{
		map $lightmap
		blendfunc filter
		rgbgen identity
	}
}

textures/af3hex/tin_trim
{
	qer_editorimage textures/af3hex/tinfx.tga
	{
		map textures/af3hex/tinfx.tga
		tcgen environment
		rgbgen identity
	}
	{
		map $lightmap
		blendfunc filter
		rgbgen identity
	}
}

textures/af3hex/tin_trim_blue
{
	qer_editorimage textures/af3hex/trim_blend_blue.tga
	q3map_lightimage textures/af3hex/trim_blend_blue.tga
	q3map_surfacelight 800
	q3map_backsplash 0 0
	{
		map textures/af3hex/tinfx.tga
		tcgen environment
		rgbgen const ( 0.8 0.8 1.0 )
	}
	{
		map $lightmap
		blendfunc filter
		rgbgen identity
	}
	{
		map textures/af3hex/trim_blend_blue.tga
		blendfunc blend
		rgbgen wave sin 1.0 0.1 0.0 0.5
	}
}

textures/af3hex/tin_trim_blue_dim
{
	qer_editorimage textures/af3hex/trim_blend_blue.tga
	q3map_lightimage textures/af3hex/trim_blend_blue.tga
	q3map_surfacelight 600
	q3map_backsplash 0 0
	{
		map textures/af3hex/tinfx.tga
		tcgen environment
		rgbgen const ( 0.8 0.8 1.0 )
	}
	{
		map $lightmap
		blendfunc filter
		rgbgen identity
	}
	{
		map textures/af3hex/trim_blend_blue.tga
		blendfunc blend
		rgbgen wave sin 1.0 0.1 0.0 0.5
	}
}

textures/af3hex/tin_trim_red
{
	qer_editorimage textures/af3hex/trim_blend_red.tga
	q3map_lightimage textures/af3hex/trim_blend_red.tga
	q3map_surfacelight 800
	q3map_backsplash 0 0
	{
		map textures/af3hex/tinfx.tga
		tcgen environment
		rgbgen const ( 0.8 0.8 1.0 )
	}
	{
		map $lightmap
		blendfunc filter
		rgbgen identity
	}
	{
		map textures/af3hex/trim_blend_red.tga
		blendfunc blend
		rgbgen wave sin 1.0 0.1 0.0 0.5
	}
}

textures/af3hex/weapon
{
	qer_editorimage textures/af3hex/jumppad.tga
	qer_trans 0.4
	q3map_lightsubdivide 32
	q3map_surfacelight 50
	surfaceparm nolightmap
	surfaceparm trans
	surfaceparm nonsolid
	polygonoffset
	{
		clampmap textures/af3hex/jumppad.tga
		blendfunc gl_one gl_one
		tcmod stretch sin 0.5 .1 0 0.75
		tcmod rotate -423
		rgbgen wave sin .3 .1 0 0.75
	}
}

textures/af3hex/wood
{
	qer_editorimage textures/af3hex/wood17.tga
	{
		map textures/af3hex/wood17.tga
		rgbgen identity
	}
	{
		map $lightmap
		blendfunc filter
		rgbgen identity
	}
}

textures/af3hex/wood_dark
{
	qer_editorimage textures/af3hex/wood17.tga
	{
		map textures/af3hex/wood17.tga
		rgbgen const ( 0.7 0.6 0.5 )
	}
	{
		map $lightmap
		blendfunc filter
		rgbgen identity
	}
}

textures/af3hex/wood_nonsolid
{
	qer_editorimage textures/af3hex/wood17.tga
	surfaceparm nonsolid
	{
		map textures/af3hex/wood17.tga
		rgbgen identity
	}
	{
		map $lightmap
		blendfunc filter
		rgbgen identity
	}
}

textures/af3hex/woodsign
{
	qer_editorimage textures/af3hex/woodsign.tga
	surfaceparm nonsolid
	{
		map textures/af3hex/woodsign.tga
		rgbgen identity
	}
	{
		map $lightmap
		blendfunc filter
		rgbgen identity
	}
}

textures/common/caulk
{
	surfaceparm nodraw
	surfaceparm nolightmap
	surfaceparm nomarks
}

textures/common/clip
{
	qer_trans 0.40
	surfaceparm nodraw
	surfaceparm nolightmap
	surfaceparm nonsolid
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm noimpact
	surfaceparm playerclip
}

textures/common/cushion
{
	qer_nocarve
	qer_trans 0.50
	surfaceparm nodraw
	surfaceparm nolightmap
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm nodamage
}

textures/common/donotenter
{
	qer_trans 0.50
	surfaceparm nodraw
	surfaceparm nonsolid
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm donotenter
}

textures/common/hint
{
	qer_nocarve
	qer_trans 0.30
	surfaceparm nodraw
	surfaceparm nonsolid
	surfaceparm structural
	surfaceparm trans
	surfaceparm noimpact
	surfaceparm hint
}

textures/common/nodrawnonsolid
{
	surfaceparm nonsolid
	surfaceparm nolightmap
	surfaceparm nodraw
}

textures/common/nodrop
{
	qer_nocarve
	qer_trans 0.5
	surfaceparm nodraw
	surfaceparm nolightmap
	surfaceparm nonsolid
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm nodrop
}

textures/common/trigger
{
	qer_trans 0.50
	qer_nocarve
	surfaceparm nodraw
}

